/*
Copyright 2012 Jun Wako <wakojun@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public Licenser
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CONFIG_H
#define CONFIG_H

#include "config_common.h"

/* USB Device descriptor parameter */

#define VENDOR_ID       0xFEED
#define PRODUCT_ID      0x6062
#define DEVICE_VER      0x0001
#define MANUFACTURER    samwisekoi
#define PRODUCT         GH36
#define DESCRIPTION     q.m.k. keyboard firmware for GH36

/* key matrix size */
#define MATRIX_ROWS 6
#define MATRIX_COLS 12

/* 
Your GH36 set up may require moving around the column pins below for the first 6 columns.
I would assume in any situation the teensy would be on the right hand 
with the usb coming in on the left

This is depending on the way the interconnects are and which way the pcb is facing. 

This is how Glod's keyboard interconnects is set up with the interconnects being on the left on both hands    
C7  on the right is plugged into C6 on the left
C8  on the right is plugged into C5 on the left
C9  on the right is plugged into C4 on the left
C10 on the right is plugged into C3 on the left
C11 on the right is plugged into C2 on the left
C12 on the right is plugged into C1 on the left

*/
     
#define MATRIX_ROW_PINS { D0, D1, D2, D3, C6, C7 }
#define MATRIX_COL_PINS { D6, B0, B1, B2, B3, B7, F0, F1, F4, F5, F6, F7 }

/* COL2ROW or ROW2COL */
#define DIODE_DIRECTION COL2ROW

/* define if matrix has ghost */
//#define MATRIX_HAS_GHOST

/* Set 0 if debouncing isn't needed */
#define DEBOUNCING_DELAY 5

/* Mechanical locking support. Use KC_LCAP, KC_LNUM or KC_LSCR instead in keymap */
#define LOCKING_SUPPORT_ENABLE
/* Locking resynchronize hack */
#define LOCKING_RESYNC_ENABLE

/* key combination for command */
#define IS_COMMAND() ( \
    keyboard_report->mods == (MOD_BIT(KC_LSHIFT) | MOD_BIT(KC_RSHIFT)) \
)

/*
 * Feature disable options
 *  These options are also useful to firmware size reduction.
 */

/* disable debug print */
// #define NO_DEBUG

/* disable print */
// #define NO_PRINT

/* disable action features */
//#define NO_ACTION_LAYER
//#define NO_ACTION_TAPPING
//#define NO_ACTION_ONESHOT
//#define NO_ACTION_MACRO
//#define NO_ACTION_FUNCTION

#endif
